Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.ui
Interface MDIManager.MDIComponent

Enclosing interface:
  MDIManager

public static interface MDIManager.MDIComponent

A common interface for UI components being hosted by this MDIManager. Concrete implementation may rely on a JFrame or a JInternalFrame. The need for this interface stems from the fact that the only superclass common to JFrame and JInternalFrame is java.awt.Container, which doesn't contain some very important methods for our purpose, e.g. dispose() or setDefaultCloseOperation(). Yet these method are implemented in both JFrame and JInternalFrame... (maybe this should be a useful interface added to javax.swing ???)

Method Summary
`void` | `dispose()` makes this container unselected, unvisible or closed
`Rectangle` | `getBounds()` gets the bounds of the component wrapped by this DockablePanel
`JPanel` | `getInnerPane()` Returns the JPanel wrapped into this MDIComponent.
`Dimension` | `getSize()`
`boolean` | `isVisible()` returns whether the panel is currently visible or not
`void` | `pack()`
`void` | `reshape(int x, int y, int w, int h)`
`void` | `setDefaultCloseOperation(int i)` control the window-closing operation
`void` | `setLocation(int x, int y)`
`void` | `setTitle(String title)` set the title of this container
`void` | `setVisible(boolean v)` set the visible state of the component

Method Detail

### setVisible

    public void setVisible(boolean v)

  set the visible state of the component

### isVisible

    public boolean isVisible()

  returns whether the panel is currently visible or not

### getBounds

    public Rectangle getBounds()

  gets the bounds of the component wrapped by this DockablePanel

### dispose

    public void dispose()

  makes this container unselected, unvisible or closed

### setTitle

    public void setTitle(String title)

  set the title of this container

### setDefaultCloseOperation

    public void setDefaultCloseOperation(int i)

  control the window-closing operation

  Parameters:
    `i` - see javax.swing.WindowConstants

### pack

    public void pack()

### setLocation

    public void setLocation(int x,
                            int y)

### getSize

    public Dimension getSize()

### reshape

    public void reshape(int x,
                        int y,
                        int w,
                        int h)

### getInnerPane

    public JPanel getInnerPane()

  Returns the JPanel wrapped into this MDIComponent. In particular, this may be a PEDrawingBoard.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org